Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Bookings

  • List bookings

  • Create booking

  • Search availability

  • Bulk retrieve bookings

  • Retrieve business booking profile

  • List location booking profiles

  • Retrieve location booking profile

  • List team member booking profiles

  • Bulk retrieve team member booking profiles

  • Retrieve team member booking profile

  • Retrieve booking

  • Update booking

  • Cancel booking

  • Webhooks

  • booking.created

  • booking.updated

<- Bookings API

Bookings API

All versions ->

Retrieve booking

GET

 /v2/bookings/{booking_id}

Retrieves a booking.

To call this endpoint with buyer-level permissions, set APPOINTMENTS_READ for the OAuth scope. To call this endpoint with seller-level permissions, set APPOINTMENTS_ALL_READ and APPOINTMENTS_READ for the OAuth scope.

Permissions:APPOINTMENTS_READ
Try in API Explorer
Link to section

Path parameters

Example code

Link to section

booking_id

string

Required

The ID of the Booking object representing the to-be-retrieved booking.

Link to section

Response fields

Link to section

booking

The booking that was requested.

Link to section

errors

Errors that occurred during the request.

Link to section

Examples

All versions ->

GET /v2/bookings/{booking_id}
curl https://connect.squareup.com/v2/bookings/zkras0xv0xwswx \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "booking": { "id": "zkras0xv0xwswx", "version": 1, "status": "ACCEPTED", "created_at": "2020-10-28T15:47:41Z", "updated_at": "2020-10-28T15:49:25Z", "location_id": "LEQHH0YY8B42M", "customer_id": "EX2QSVGTZN4K1E5QE1CBFNVQ8M", "customer_note": "", "seller_note": "", "start_at": "2020-11-26T13:00:00Z", "appointment_segments": [ { "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "team_member_id": "TMXUrsBWWcHTt79t", "service_variation_version": 1599775456731 } ] }, "errors": [] }